//
//  AMTickerServerPluginProtcol.h
//  Universal Ticker
//
//  Created by Andreas on 2007-04-11
//  Copyright (c) 2007 Andreas Mayer. All rights reserved.
//


#import <Foundation/Foundation.h>
#import "AMTickerService/AMTickerServerProtocol.h"
#import "AMTickerService/AMTickerSign.h"


@protocol AMTickerServerPluginProtocol <AMTickerServerProtocol>

- (oneway void)addSign:(bycopy in AMTickerSign *)aSign;
- (oneway void)insertSignAtCursor:(bycopy in AMTickerSign *)aTickerSign;
- (oneway void)removeSign:(bycopy in AMTickerSign *)aSign;
- (oneway void)removeSign:(AMTickerSign *)sign immediately:(BOOL)removeImmediately;
- (oneway void)removeSignWithIdentifier:(bycopy in NSString *)identifier;
- (oneway void)removeSignWithIdentifier:(bycopy in NSString *)identifier immediately:(BOOL)removeImmediately;

- (oneway void)addSign:(bycopy in AMTickerSign *)aSign client:(byref id)client;
- (oneway void)insertSignAtCursor:(bycopy in AMTickerSign *)aTickerSign client:(byref id)client;

- (inout NSMutableDictionary *)preferencesForIdentifier:(bycopy in NSString *)theIdentifier;
- (bycopy out NSDictionary *)readonlyPreferencesForIdentifier:(bycopy in NSString *)theIdentifier;

- (oneway void)openHelpForIdentifier:(bycopy in NSString *)theIdentifier;


@end
