//
//  AMTickerServerProtcol.h
//  Universal Ticker
//
//  Created by Andreas on Wed Aug 27 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//
//	2004-07-30 Andreas Mayer
//	- added appleScriptLock
//	2004-09-14 Andreas Mayer
//	- added executeAppleScript:delegate:scriptFinishedSelector:userInfo:


#import <Foundation/Foundation.h>
#import "AMTickerService/AMTickerDisplayProtocol.h"

@protocol AMTickerServerProtocol <NSObject>

- (oneway void)registerClient:(byref id)client withName:(bycopy in NSString *)name;
- (oneway void)deregisterClientWithName:(bycopy in NSString *)name;

- (oneway void)addMessage:(bycopy in NSDictionary *)dictionary;
- (oneway void)addMessage:(bycopy in NSDictionary *)dictionary client:(byref id)client;
- (oneway void)removeMessageWithIdentifier:(bycopy in NSString *)identifier;

- (out NSSize)viewSize;

- (out NSView *)tickerView; // read only!

- (out id <AMTickerDisplayProtocol>)defaultDisplay;

- (out NSFont *)defaultFont; // read only!

- (out CGFloat)textOffset; // offset from bottom - read only

- (out NSColor *)defaultTextColor; // read only!

- (oneway void)setFrame:(bycopy in NSRect)newFrame forTickerWithID:(bycopy NSString *)tickerID;

- (void)runScriptNamed:(NSString *)scriptName withParameters:(NSDictionary *)parameters finishedBlock:(void (^)(NSAppleEventDescriptor *))result;


@end
