//
//  AMTickerSign.h
//  MBTicker
//
//  Created by Andreas on Wed Aug 20 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//

//  This is an abstract baseclass for ticker objects.
//  Subclasses need to implement -drawAtPoint:


#import <AppKit/AppKit.h>
#import "AMTickerDefinitions.h"
#import "AMTickerDisplayProtocol.h"


@interface AMTickerSign : NSObject <NSCopying, NSCoding> {
}

// scrollDirection and continuousScrolling are deprecated and will be ignored.
// Scroll direction is defined by the ticker. Continuous scrolling is always enabled.

@property (copy, nonatomic) NSString *identifier;
@property (assign, nonatomic) AMScrollDirection scrollDirection;
@property (assign, nonatomic) BOOL continuousScrolling DEPRECATED_ATTRIBUTE;
@property (assign, nonatomic) NSInteger loopCount;
@property (assign, nonatomic) NSTimeInterval loopDelay;
@property (assign, nonatomic) AMTickerActionType actionType;
@property (copy, nonatomic) NSString *actionString;

- (CALayer *)layerForDisplay:(id <AMTickerDisplayProtocol>)display;
// subclasses need to overwrite this method.


@end
