//
//  AMURLLoader.h
//  FavIconTest
//
//  Created by Andreas on 13.09.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//
//  2004-11-23	Andreas Mayer
//	- added delegate
//	- init/loaderWithURL will no longer call load automatically
//	- removed init/loaderWithURL:...cachePolicy:timeoutInterval:


#import <Cocoa/Cocoa.h>


@interface AMURLLoader : NSObject {
}

+ (AMURLLoader *)loaderWithURL:(NSURL *)url target:(id)target selector:(SEL)selector userInfo:(id)theUserInfo;

- (id)initWithURL:(NSURL *)url target:(id)target selector:(SEL)selector userInfo:(id)theUserInfo;
// Does not retain target.
// Expected selector signature:
// - (void)receivedData:(NSData *)data context:(NSDictionary *)context;
// If an error occured, data will be nil.
// The context dictionary may contain:
// key:@"userInfo" value:the user info provided with the init message
// key:@"error" value:NSError object
// key:@"response" value:NSURLResponse object (may be NSHTTPURLResponse - check class)

@property (copy) NSURL *URL;
@property (unsafe_unretained) id target;
@property (assign) SEL selector;
@property (unsafe_unretained) id delegate;

- (void)load;

- (void)loadWithCachePolicy:(NSURLRequestCachePolicy)cachePolicy timeoutInterval:(NSTimeInterval)timeoutInterval;

@end

// delegate interface

@interface NSObject (AMURLLoaderDelegate)
- (void)loader:(AMURLLoader *)loader willReceiveDataOfLength:(long long)length;
// tells the delegate how many bytes are to be expected
- (void)loader:(AMURLLoader *)loader didReceiveDataOfLength:(long long)length;
// tells the delegate how many bytes have been received up until now (cumulated)
@end

