//
//  NSString_AMAdditions.h
//  MausX
//
//  Created by Andreas on Mon Oct 20 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//
//	2005-12-15	Andreas Mayer
//	- added -validStringFromString:
//	- added -stringByEscapingEntities and -stringByEscapingEntities:
//	2006-07-20	Andreas Mayer
//	- added -numericCompare:
//	2006-11-18	Andreas Mayer
//	- added -stringByTrimmingWhitespace


#import <Foundation/Foundation.h>

extern NSString *AMStringFromRect(NSRect rect);

extern NSRect AMRectFromString(NSString *string);


@interface NSString (AMAdditions)

+ (NSString *)randomStringOfLength:(NSUInteger)length withCharacters:(NSString *)characters;

+ (NSString *)uniqueString;

+ (NSString *)validStringFromString:(NSString *)string;
// returns string if string is not nil, @"" otherwise

@property (NS_NONATOMIC_IOSONLY, getter=isValidString, readonly) BOOL validString;

@property (NS_NONATOMIC_IOSONLY, getter=isEmptyString, readonly) BOOL emptyString;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *lastCharacter;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *initialCharacters;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSArray *componentsSeparatedByLineDelimiter;

@property (NS_NONATOMIC_IOSONLY, readonly) unsigned long unsignedLongValue;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *lastKeyComponent;

@property (NS_NONATOMIC_IOSONLY, readonly) BOOL boolValue;

- (NSString *)stringWithFirst:(NSUInteger)number componentsSeparatedByString:(NSString *)separator;

- (NSString *)stringWithFirst:(NSUInteger)number componentsSeparatedByString:(NSString *)separator ellipsisString:(NSString *)ellipsisString;

- (NSString *)stringByRemovingHTMLUsingDelimiter:(NSString *)delimiter;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *stringWithFirstURLComponent;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *stringByEscapingEntities;

- (NSString *)stringByEscapingEntities:(NSDictionary *)entities;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *stringByUnescapingEntities;

- (NSString *)stringByUnescapingEntities:(NSDictionary *)entities;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *stringByTrimmingWhitespace;

- (NSString *)stringByReplacingCharactersInSet:(NSCharacterSet *)characterSet withString:(NSString *)string;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSString *stringByAppendingEllipsis;

- (NSComparisonResult)numericCompare:(NSString *)string;

@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSData *hexValue;


@end
