//
//  AMTimeFormatPatternConverter.h
//  AMTickerService
//
//  Created by Andreas Mayer on 30.09.11.
//  Copyright (c) 2011 Andreas Mayer. All rights reserved.
//

//	Convert a date and time format pattern from pre-10.4 to 10.4 format.
//	By default, %x and %X get replaced with the format associated with the NSDateFormatterFullStyle style.
//	To change that, assign the desired format strings to localTimeFormat and localDateFormat repectively.
//	Parts of the string that are not recognized as format patterns will be quoted.
//	Conversions are based on the current users calendar. i.e. [NSCalendar currentCalendar].

#import <Foundation/Foundation.h>

@interface AMTimeFormatPatternConverter : NSObject {
	NSString *localTimeFormat;
	NSString *localDateFormat;
	NSMutableDictionary *timeFormatPatternsMapping;
}

@property (strong) NSString *localTimeFormat;
@property (strong) NSString *localDateFormat;

- (NSString *)stringByReplacingOldTimeFormatPatternsInString:(NSString *)inString;


@end
