//
//  NSApplication_AMExtensions.h
//  MakePAD
//
//  Created by Andreas on 21.10.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//
//	2005-02-08	Andreas Mayer
//	- added applicationSupportFolderForDomain: and createApplicationSupportFolderForDomain:
//	2011-09-07
//	-applicationSupportFolder and -applicationSupportFolderForDomain: will now return the system's
//	application support folder.
//	Use one of the new -applicationSupportSubfolder... methods to access subfolders.


#import <Cocoa/Cocoa.h>


@interface NSApplication (AMExtensions)

// name of main bundle executable
- (NSString *)applicationName;

// application support folder for kUserDomain
- (NSString *)applicationSupportFolder;
- (NSString *)applicationSupportFolderForDomain:(int)domain NS_DEPRECATED_MAC(10_0, 10_6);
#if MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_6
- (NSString *)applicationSupportFolderForDomainMask:(NSSearchPathDomainMask)domain;
#endif

- (NSString *)applicationSupportSubfolderWithApplicationName;
- (NSString *)applicationSupportSubfolderWithName:(NSString *)foldername;

- (NSString *)applicationSupportSubfolderWithApplicationNameForDomainMask:(NSSearchPathDomainMask)domain;
- (NSString *)applicationSupportSubfolderWithName:(NSString *)foldername forDomainMask:(NSSearchPathDomainMask)domain;

- (BOOL)createApplicationSupportSubfolderWithApplicationName;
- (BOOL)createApplicationSupportSubfolderWithName:(NSString *)foldername;

- (BOOL)createApplicationSupportSubfolderWithApplicationNameForDomainMask:(NSSearchPathDomainMask)domain;
- (BOOL)createApplicationSupportSubfolderWithName:(NSString *)foldername forDomainMask:(NSSearchPathDomainMask)domain;


@end
