//
//  NSDate_NSCalendarDateCompatibility.h
//  TimeDisc
//
//  Created by Andreas Mayer on 30.08.11.
//  Copyright 2011 Andreas Mayer. All rights reserved.
//

//	implemented only those methods from NSCalendarDate that I actually need
//	always uses +currentCalendar

#import <Foundation/Foundation.h>

@interface NSDate (NSCalendarDateCompatibility)

//h = [time hourOfDay];
//m = [time minuteOfHour];
//s = [time secondOfMinute];
//NSInteger d = [time dayOfCommonEra];



//+ (id)calendarDate;
//+ (id)dateWithString:(NSString *)description calendarFormat:(NSString *)format locale:(id)locale;
//+ (id)dateWithString:(NSString *)description calendarFormat:(NSString *)format;
+ (instancetype)dateWithYear:(NSInteger)year month:(NSUInteger)month day:(NSUInteger)day hour:(NSUInteger)hour minute:(NSUInteger)minute second:(NSUInteger)second timeZone:(NSTimeZone *)aTimeZone;
- (NSDate *)dateByAddingYears:(NSInteger)year months:(NSInteger)month days:(NSInteger)day hours:(NSInteger)hour minutes:(NSInteger)minute seconds:(NSInteger)second;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger dayOfCommonEra;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger dayOfMonth;
//- (NSInteger)dayOfWeek;
//- (NSInteger)dayOfYear;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger hourOfDay;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger minuteOfHour;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger monthOfYear;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger secondOfMinute;
@property (NS_NONATOMIC_IOSONLY, readonly) NSInteger yearOfCommonEra;
//- (NSString *)calendarFormat;
- (NSString *)descriptionWithCalendarFormat:(NSString *)format locale:(id)locale;
//- (NSString *)descriptionWithCalendarFormat:(NSString *)format;
//- (NSString *)descriptionWithLocale:(id)locale;
@property (NS_NONATOMIC_IOSONLY, readonly, copy) NSTimeZone *timeZone;
//- (id)initWithString:(NSString *)description calendarFormat:(NSString *)format locale:(id)locale;
//- (id)initWithString:(NSString *)description calendarFormat:(NSString *)format;
//- (id)initWithString:(NSString *)description;
//- (id)initWithYear:(NSInteger)year month:(NSUInteger)month day:(NSUInteger)day hour:(NSUInteger)hour minute:(NSUInteger)minute second:(NSUInteger)second timeZone:(NSTimeZone *)aTimeZone;
//- (void)setCalendarFormat:(NSString *)format;
//- (void)setTimeZone:(NSTimeZone *)aTimeZone;
//- (void)years:(NSInteger *)yp months:(NSInteger *)mop days:(NSInteger *)dp hours:(NSInteger *)hp minutes:(NSInteger *)mip seconds:(NSInteger *)sp sinceDate:(NSCalendarDate *)date;

@end
