//
//  NSFileManagerAMAdditions.h
//  CommX
//
//  Created by Andreas on Thu Jul 04 2002.
//  Copyright (c) 2002 Andreas Mayer. All rights reserved.
//
//	2004-11-26	Andreas Mayer
//	- uniqueFileNameAtPath: added
//	2005-05-30	Andreas Mayer
//	- added -uniqueFileNameAtPath:delimiter:
//	2005-12-22	Andreas Mayer
//	- added -isVisibleFileAtPath:


#import <Foundation/Foundation.h>
/*
#if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_4)
	#import <DiskArbitration/DiskArbitration.h>
#endif
*/

@interface NSFileManager (AMAdditions)
/*
#if (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_4)
+ (NSDictionary *)descriptionForDiskAtPath:(NSString *)path;
#endif
*/
- (NSString *)findSystemFolderType:(int)folderType forDomain:(int)domain NS_DEPRECATED_MAC(10_0, 10_6);
// use -URLForDirectory:inDomain:appropriateForURL:create:error: instead

- (BOOL)redirectStandardErrorToPath:(NSString *)path;

- (NSString *)uniqueFileNameAtPath:(NSString *)path delimiter:(NSString *)delimiter;
// path has to include a suggested file name (and extension if desired)
// this method will add a number so that the file name is unique for the given folder

- (NSString *)uniqueFileNameAtPath:(NSString *)path;
// same as -uniqueFileNameAtPath:path delimiter:@"-"

- (BOOL)isVisibleFileAtPath:(NSString *)path;


@end
